/*******************************************************************************
Description:		Wealth tax modelling: produce population counts

Uses: data for analysis defined in step 3.define_sample.do (sample_for_analysis.dta)
*******************************************************************************/

use "$tempdata\sample_for_analysis.dta", clear


g total = 1

foreach min in 250000 500000 1000000 2000000 5000000 10000000 20000000 30000000 50000000 100000000 {
g over_`min' = (rf_totwlth_ch_pareto > `min') 
g within10pct_`min' = (`min' - rf_totwlth_ch_pareto < 0.1*`min' & rf_totwlth_ch_pareto < `min')
}

preserve
collapse (sum) over_* within10pct*  (sum) total [pweight = xs_pers]
format %12.0g *
export excel using "$output\counts.xlsx", sheet("counts with adjusted wealth", modify) firstrow(variables) 
restore
drop within* over*

