/*******************************************************************************
Description:		Save bucket-level averages in the STRL

Uses:				"$cleanstrl\strl_2020_clean_byindividual.dta"				
*******************************************************************************/


if $using_companies_house ==1 {
	use "$cleanstrl\strl_2020_clean_byindividual.dta", clear
	
	*Allocate rich list entries to buckets by rank (not necessarily same number in each bucket as not all matched and multiple individuals per some entries)
	local steps = 50
	local top = 1000 - `steps'
	g bucket =.
	forval t = 0(`steps')`top'{
	replace bucket = (`t')/`steps' + 1 if item_id_richlist> = `t' & item_id_richlist < `t' + `steps' 
	}

	g i = 1 //for counting number of individuals in each bucket

	*Residence, nationality, and % over 80 by bucket
	preserve
	collapse (mean) pct_resident = ukresident pct_british = britishnational over80 = over80 (sum) bucket_population = i , by(bucket)
	save "$tempdata\strl_info_by_bucket.dta", replace
	restore
}

